Delete a Brand

Delete Method

The Delete a Brand API allows you to delete the specified brand based on brand number.

Prerequisites

  • After you sign up, your account will be on the trial version. You must complete the KYC to access all the features in kaleyra.io.
  • Before you get started, Create an API Key. To view the API Key and the SID, see View API Key and SID.
  • Before sending the RCS, you must configure the RCS channel in the Kaleyra platform. To configure the RCS channel in your account, please contact your local Kaleyra representative.

Base URL

URLRegion
https://rcs-api.<pod>.kaleyra.ioFor North America (NA).
https://rcs-api.<pod>.kaleyra.ioFor the rest of the world.

API Domain and Value

api_domainValue
IN podhttps://rcs-api.in.kaleyra.io
NA podhttps://rcs-api.na.kaleyra.io

API Request to Delete a Brand

To delete a brand, use the https://rcs-api.<pod>.kaleyra.io/v1/<sid>/rcs/brand/{{brand_number}} endpoint with the following request method:

Request Format

The following is the request format to delete a brand.

curl --location Delete 'https://<api_domain>/v1/<sid>/rcs/brand/{{brand_number}}'\
--header 'Content-Type:<Content-Type>' \
--header 'api-key: <api-key>' \

Sample Request Format

The following is the sample request format to delete a brand:

curl --location --request Delete 'https://rcs-api.na.kaleyra.io/v1/XXXXX6913850XXXX/rcs/brand/48400'\
--header 'Content-Type: application/json' \ 
--header 'api-key: XXXXX3b8497f58a94e84b671aca43XXXX' \

URL Parameters and Headers

The following is the list of parameters and headers to send the outgoing message request:

Parameter/HeadersData TypeDescriptionExampleMandatory?
sidStringAccount SID (Security Identifier).XXXXX6913850XXXXYes
Content-TypeStringIndicates the format of the content the API will be processing.The only allowed value is application/JSONYes
api-keyStringAPI key generated from kaleyra.io account.XXXXX3b8497f58a94e84b671aca43XXXXYes

Sample Success Response

The following is a sample success response:

{
    "code": "RCS802",
    "message": "Brand deleted succesfully",
    "data": {
        "status": "OK",
        "message": "Brand deleted",
        "message_key": "message"
    },
    "error": {}
}

Sample Failure Response

The following are sample failure responses:

400 Bad Request - RCS Not Enabled

{
  "code": "RCS601",
  "message": "RCS Channel is not enabled for this User",
  "data": [],
  "error": {
    "error_code": "RCS_CHANNEL_DISABLED",
    "error_message": "RCS Channel is not enabled for this User"
  }
}

500 Internal Server Error - Config Missing

{
  "code": "CONFIG_ERROR",
  "message": "Config missing",
  "data": [],
  "error": {
    "error_code": "CONFIG_MISSING",
    "error_message": "Prov_Url not found"
  }
}

500 Internal Server Error - API Call Failed

{
  "code": "RCS805",
  "message": "Failed to call Prov API",
  "data": [],
  "error": {
    "error_code": "API_CALL_ERROR",
    "error_message": "actual API error message"
  }
}

4xx Downstream Error

{
  "code": "RCS804",
  "message": "Unable to fetech Brand details-{brand_number}",
  "data": [],
  "error": {
    "error_code": "PROV_ERROR",
    "error_message": "raw downstream response body as string"
  }
}

404 NOT FOUND-Brand not found

{
    "code": "RCS804",
    "message": "Failed to delete Brand",
    "data": [],
    "error": {
        "error_code": "PROV_ERROR",
        "error_message": "{\"status\":\"FAILED\",\"message\":\"Brand not found\",\"messageKey\":\"message\"}"
    }
}





© 2026 Kaleyra Inc. All rights reserved.
Trademarks, logos and service marks displayed on this site are registered and unregistered trademarks of Kaleyra Inc.